API documentation | API docs for agents | OpenAPI 3.1

DELETE /api/v1/billing/payment-terms/{paymentTermId}

ark.archive_payment_term

Archives an organization payment term by setting deleted_at, matching the website payment term delete action.

Availability
Expanded preview
Scopes
billing:write
ARK permissions
canViewBillingcanMakeAdjustments
Team visibility
Not entity-scoped
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

paymentTermIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

None.

Example request

Shell
curl -X DELETE 'https://arktms.com/api/v1/billing/payment-terms/<paymentTermId>' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>"

Success response

Archived payment term

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.archivedbooleanrequired
data.messagestringrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry